Bug 1841395 - CVE-2020-10754 NetworkManager: user configuration not honoured leaving the connection unauthenticated via insecure defaults [fedora-all]
Summary: CVE-2020-10754 NetworkManager: user configuration not honoured leaving the co...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 32
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Thomas Haller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-10754
TreeView+ depends on / blocked
 
Reported: 2020-05-29 04:41 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-05-25 18:17 UTC (History)
11 users (show)

Fixed In Version: NetworkManager-1.22.14-1.fc32
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 18:17:50 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2020-05-29 04:41:41 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Huzaifa S. Sidhpurwala 2020-05-29 04:41:45 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1841041,1841395

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Thomas Haller 2020-05-29 14:50:35 UTC
for details see also bug 1840210

Comment 3 Fedora Update System 2020-05-29 14:57:25 UTC
FEDORA-2020-ace543feff has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ace543feff

Comment 4 Thomas Haller 2020-05-29 14:58:17 UTC
will be fixed in Fedora 31 by NetworkManager-1.20.12-1.fc31 
https://bodhi.fedoraproject.org/updates/FEDORA-2020-ace543feff

Comment 5 Thomas Haller 2020-05-29 15:19:15 UTC
will be fixed in Fedora 32 by NetworkManager-1.22.14-1.fc32 
https://bodhi.fedoraproject.org/updates/FEDORA-2020-3857463d30

Comment 6 Thomas Haller 2020-05-29 15:43:50 UTC
will be fixed in Fedora 33 (rawhide) by NetworkManager-1.24.2-1.fc33 
https://bodhi.fedoraproject.org/updates/FEDORA-2020-f2917d0a0a

Comment 7 Fedora Update System 2020-05-29 21:23:30 UTC
FEDORA-2020-3857463d30 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3857463d30

Comment 8 Fedora Update System 2020-05-30 02:04:04 UTC
FEDORA-2020-ace543feff has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ace543feff`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ace543feff

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-05-30 04:04:04 UTC
FEDORA-2020-3857463d30 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3857463d30`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3857463d30

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-06-01 01:24:50 UTC
FEDORA-2020-3857463d30 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-06-14 17:10:37 UTC
NetworkManager-1.20.12-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Program Management 2021-04-29 17:16:44 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2021-05-25 18:17:50 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.